package com.kingdee.eas.custom.recuritment.task;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.custom.recuritment.task.*;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class OnboardingBeisenFacade extends AbstractBizCtrl implements IOnboardingBeisenFacade
{
    public OnboardingBeisenFacade()
    {
        super();
        registerInterface(IOnboardingBeisenFacade.class, this);
    }
    public OnboardingBeisenFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IOnboardingBeisenFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("CF176C44");
    }
    private OnboardingBeisenFacadeController getController() throws BOSException
    {
        return (OnboardingBeisenFacadeController)getBizController();
    }
    /**
     *当入职审批通过后，将北森申请id和应聘id写入员工表-User defined method
     *@param onbardingID 入职ID
     *@return
     */
    public String syncBeisenOnboardingTalentPool(String onbardingID) throws BOSException
    {
        try {
            return getController().syncBeisenOnboardingTalentPool(getContext(), onbardingID);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}